summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-05-01 15:48:16 +0000
committerMichał Górny <mgorny@gentoo.org>2013-05-01 15:48:16 +0000
commit164c7ebdb366a524ea718b6257be600ab29e114e (patch)
tree92c79b3f72cc3288ff82b80122163a5f7952cd13 /eclass
parentFix build failure with automake 1.13, bug 467230. (diff)
downloadgentoo-2-164c7ebdb366a524ea718b6257be600ab29e114e.tar.gz
gentoo-2-164c7ebdb366a524ea718b6257be600ab29e114e.tar.bz2
gentoo-2-164c7ebdb366a524ea718b6257be600ab29e114e.zip
Inline src_test and allow passing arguments.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/autotools-utils.eclass8
2 files changed, 9 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index a711a9fc2443..105899985b20 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.809 2013/04/30 07:51:24 pinkbyte Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.810 2013/05/01 15:48:16 mgorny Exp $
+
+ 01 May 2013; Michał Górny <mgorny@gentoo.org> autotools-utils.eclass:
+ Inline src_test and allow passing arguments.
30 Apr 2013; Sergey Popov <pinkbyte@gentoo.org> leechcraft.eclass:
Leechcraft changed license since 0.5.95
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index a3a168e295c9..e6bf5265e0c0 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.65 2013/04/05 14:54:48 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.66 2013/05/01 15:48:16 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -540,7 +540,9 @@ autotools-utils_src_test() {
_check_build_dir
pushd "${BUILD_DIR}" > /dev/null || die
- # Run default src_test as defined in ebuild.sh
- default_src_test
+
+ # XXX: do we need to support other targets in autotools?
+ emake check "${@}" || die 'emake check failed.'
+
popd > /dev/null || die
}